Eclipse Platform Release 3.7

## org.eclipse.jface.text.source
Interface IAnnotationHover

All Known Implementing Classes:
  DefaultAnnotationHover, LineChangeHover

    public interface IAnnotationHover

Provides the information to be displayed in a hover popup window which appears over the presentation area of annotations.

In order to provide backward compatibility for clients of `IAnnotationHover`, extension interfaces are used as a means of evolution. The following extension interfaces exist:

- `IAnnotationHoverExtension` since version 3.0 allowing a text hover to provide a creator for the hover control. This allows for sophisticated hovers in a way that information computed by the hover can be displayed in the best possible form.
- `IAnnotationHoverExtension2` since version 3.2 allowing a text hover to specify whether it handles mouse-wheel events itself.

Clients may implement this interface.

See Also:
  `IAnnotationHoverExtension`, `IAnnotationHoverExtension2`

Method Summary
`String` `getHoverInfo(ISourceViewer sourceViewer, int lineNumber)` Returns the text which should be presented in the a hover popup window.

Method Detail

### getHoverInfo

    String getHoverInfo(ISourceViewer sourceViewer,
                        int lineNumber)

  Returns the text which should be presented in the a hover popup window. This information is requested based on the specified line number.

  Parameters:
    `sourceViewer` - the source viewer this hover is registered with
    `lineNumber` - the line number for which information is requested
  Returns:
    the requested information or `null` if no such information exists

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.